Public Member Functions | Public Attributes | List of all members
libfreehand::FHLinearFill Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHLinearFill ()

## Public Attributes
unsigned | m_color1Id
unsigned | m_color2Id
double | m_angle
unsigned | m_multiColorListId

## Constructor & Destructor Documentation

## ◆ FHLinearFill()

libfreehand::FHLinearFill::FHLinearFill | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_angle

double libfreehand::FHLinearFill::m_angle

Referenced by libfreehand::FHCollector::_appendLinearFill(), libfreehand::FHParser::readConeFill(), libfreehand::FHParser::readLinearFill(), libfreehand::FHParser::readTaperedFill(), and libfreehand::FHParser::readTaperedFillX().

## ◆ m_color1Id

unsigned libfreehand::FHLinearFill::m_color1Id

Referenced by libfreehand::FHCollector::_appendLinearFill(), libfreehand::FHParser::readConeFill(), libfreehand::FHParser::readLinearFill(), libfreehand::FHParser::readTaperedFill(), and libfreehand::FHParser::readTaperedFillX().

## ◆ m_color2Id

unsigned libfreehand::FHLinearFill::m_color2Id

Referenced by libfreehand::FHCollector::_appendLinearFill(), libfreehand::FHParser::readConeFill(), libfreehand::FHParser::readLinearFill(), libfreehand::FHParser::readTaperedFill(), and libfreehand::FHParser::readTaperedFillX().

## ◆ m_multiColorListId

unsigned libfreehand::FHLinearFill::m_multiColorListId

Referenced by libfreehand::FHCollector::_appendLinearFill(), libfreehand::FHParser::readConeFill(), libfreehand::FHParser::readLinearFill(), and libfreehand::FHParser::readTaperedFillX().

The documentation for this struct was generated from the following file:

- FHTypes.h